package logfile

import (
	"github.com/go-flucky/flucky/pkg/types"
)

type Logfile interface {
	GetLogfile() string
	ReadHumidities() ([]*types.Humidity, error)
	ReadTemperatures() ([]*types.Temperature, error)
	WriteHumidities(humidities []*types.Humidity) error
	WriteTemperatures(temperatures []*types.Temperature) error
}
