package types

import "time"

// Device ...
type Device struct {
	DeviceID           string    `json:"device_id" xml:"device_id"`
	DeviceName         string    `json:"device_name" xml:"device_name"`
	DeviceLocation     *string   `json:"device_location" xml:"device_location"`
	DeviceLastContact  time.Time `json:"device_last_contact" xml:"device_last_contact"`
	HumidityLogfile    string    `json:"humidity_logfile" xml:"humidity_logfile"`
	TemperatureLogfile string    `json:"temperature_logfile" xml:"temperature_logfile"`
	CreationDate       time.Time `json:"creation_date" xml:"creation_date"`
}
