package types

import "time"

// Humidity ...
type Humidity struct {
	HumidityID       string     `json:"humidity_id" xml:"humidity_id"`
	HumidityValue    float64    `json:"humidity_value,string" xml:"humidity_value"`
	HumidityFromDate time.Time  `json:"humidity_from_date" xml:"humidity_from_date"`
	HumidityTillDate time.Time  `json:"humidity_till_date" xml:"humidity_till_date"`
	SensorID         string     `json:"sensor_id" xml:"sensor_id"`
	CreationDate     *time.Time `json:"creation_date" xml:"creation_date"`
	UpdateDate       *time.Time `json:"update_date" xml:"update_date"`
}
