# flucky [![Build Status](https://travis-ci.com/go-flucky/flucky.svg?branch=master)](https://travis-ci.com/go-flucky/flucky)
Flucky is a lightweight program written in go for reading data from sensors with a raspberry pi.

## Compiling
Flucky can be compiled directly with go.

```bash
$ go get -u github.com/go-flucky/flucky
```

Alternatively you can checkout this repository and compile it with make for your architecture. For examample for a raspberry pi with arm architecture.

```bash
$ make build
$ make build GOARCH=arm # for raspberry-pi
```

If you have installed docker oder podman but not go, you can compile the source code via one of the container runtimes.

```bash
$ make container-build
$ make container-build GOARCH=arm  # for raspberry-pi
```